Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Follow sport updates

Prev Next
Post
/realtime-sport-updates/follow

Used to subscribe a customer to real-time sports updates.


Note: This API method relates to an optional project integration for Real-time sport updates that must be enabled first.


After receiving the details of the user or device, Xtremepush will add them to a list which can be found under Data > Audiences > Sport feeds.

Body parameters
Result
{
  "apptoken": "YOUR_APPTOKEN",
  "sport_event_id": "sr:sport_event:123",
  "item": "678345"
}
object
apptoken
string Required

Your App token

user_id
string Required

The external user ID to subscribe to sport updates

event_id
string Required

The sport event ID to follow

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "message": "List item is successfully created"
}
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
message
string
ExampleList item is successfully created
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "Error message"
}
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleError message